%define modname uploadprogress
%define soname %{modname}.so
%define inifile A78_%{modname}.ini

Summary:	Uploadprogress extension
Name:		php-%{modname}
Version:	1.0.3.1
Release:	%mkrel 4
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/uploadprogress/
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	file

%description
An extension to track progress of a file upload.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# fix permissions
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# lib64 fix
perl -p -i -e "s|/lib\b|/%{_lib}|g" *.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions

install -m0755 modules/%{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}

[%{modname}]
EOF

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc package*.xml examples
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}





%changelog

* Wed Jan 30 2013 oden <oden> 1.0.3.1-4.mga3
+ Revision: 393348
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1.0.3.1-3.mga3
+ Revision: 377614
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1.0.3.1-2.mga2
+ Revision: 223948
- httpd restart is handled by filetriggers now

* Sun Dec 11 2011 fwang <fwang> 1.0.3.1-1.mga2
+ Revision: 180677
- new version 1.0.3.1

* Mon Feb 07 2011 spuhler <spuhler> 1.0.1-10.mga1
+ Revision: 48313
- removed buildroot definition from .spec
- imported package php-uploadprogress

